This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 855606 - [abrt] yum-3.4.3-28.fc17: yum-fast-downloader.py:171:myRetrieveMD:NameError: global name 'Errors' is not defined
[abrt] yum-3.4.3-28.fc17: yum-fast-downloader.py:171:myRetrieveMD:NameError: ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:d968921615ec1b9c33a0f17601e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 06:30 EDT by ali
Modified: 2014-01-21 18:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 03:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (36 bytes, text/plain)
2012-09-09 06:30 EDT, ali
no flags Details

  None (edit)
Description ali 2012-09-09 06:30:42 EDT
Version-Release number of selected component:
yum-3.4.3-28.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.10
cmdline:        /usr/bin/python /bin/yum update
kernel:         3.4.4-5.fc17.x86_64

backtrace:
:yum-fast-downloader.py:171:myRetrieveMD:NameError: global name 'Errors' is not defined
:
:Traceback (most recent call last):
:  File "/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 144, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/yumcommands.py", line 405, in doCommand
:    return base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))
:  File "/usr/share/yum-cli/cli.py", line 890, in updatePkgs
:    self.update()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4364, in update
:    updates = self.up.getUpdatesTuples()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1032, in <lambda>
:    up = property(fget=lambda self: self._getUpdates(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 837, in _getUpdates
:    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1013, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 777, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 335, in populateSack
:    sack._retrieve_async(repo, data)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 144, in _retrieve_async
:    repo._retrieveMD(mydbtype, async=True, failfunc=None)
:  File "/usr/lib/yum-plugins/yum-fast-downloader.py", line 171, in myRetrieveMD
:    except Errors.RepoError:
:NameError: global name 'Errors' is not defined
:
:Local variables in innermost frame:
:remote: 'repodata/25ed7644f9fa5c53762a6e1439dedf08f70afbe5ea386ff1d016b2c6384468b7-primary.sqlite.bz2'
:thisdata: <yum.repoMDObject.RepoData instance at 0x7f0feeafd320>
:text: 'updates/primary_db'
:self: <yum.yumRepo.YumRepository object at 0x7f0feefb8810>
:reget: 'simple'
:mdtype: 'primary_db'
:checkfunc: <function checkfunc at 0x7f0feefa9b90>
:fname: '25ed7644f9fa5c53762a6e1439dedf08f70afbe5ea386ff1d016b2c6384468b7-primary.sqlite.bz2'
:kwargs: {'async': True, 'failfunc': None}
:r_base: None
:local: '/var/cache/yum/x86_64/17/updates/25ed7644f9fa5c53762a6e1439dedf08f70afbe5ea386ff1d016b2c6384468b7-primary.sqlite.bz2'
:retrieve_can_fail: False
Comment 1 ali 2012-09-09 06:30:47 EDT
Created attachment 611180 [details]
File: event_log
Comment 2 Zdeněk Pavlas 2012-09-10 03:01:37 EDT
This is a bug in 3rd party plugin.
Comment 3 Hedayat Vatankhah 2012-09-10 15:43:30 EDT
Thanks for notifying me. It'll be fixed in the next update of the plugin.

Note You need to log in before you can comment on or make changes to this bug.